Activity log for bug #660770

Date Who What changed Old value New value Message
2010-10-14 19:50:36 Robert Collins bug added bug
2010-10-14 21:25:50 Robert Collins description E.g. from ec2test INFO Committing to: /tmp/testbzr-H2WFWe.tmp/devscripts.ec2test.tests.test_remote.TestResultHandling.test_doesnt_submit_to_pqm_on_failure/work/sourcecode/c/ INFO Committed revision 1. This is a bzrlib test case, which does test isolation of everything that bzr sets up, but we're seeing these messages - I think because there is a catchall root logger in place. Either someone is failing to remove it from an earlier test, or the test environment has it installed globally - I haven't looked yet. I have a logging fixture hanging around in testrepository I think, which will install-and-remove handlers to deal with this sort of thing. E.g. from ec2test INFO Committing to: /tmp/testbzr-H2WFWe.tmp/devscripts.ec2test.tests.test_remote.TestResultHandling.test_doesnt_submit_to_pqm_on_failure/work/sourcecode/c/ INFO Committed revision 1. This is a bzrlib test case, which does test isolation of everything that bzr sets up, but we're seeing these messages - I think because there is a catchall root logger in place. Either someone is failing to remove it from an earlier test, or the test environment has it installed globally - I haven't looked yet. from fixtures.tests.helpers import LoggingFixture is designed to handle this sort of thing.
2010-10-14 21:28:38 Robert Collins description E.g. from ec2test INFO Committing to: /tmp/testbzr-H2WFWe.tmp/devscripts.ec2test.tests.test_remote.TestResultHandling.test_doesnt_submit_to_pqm_on_failure/work/sourcecode/c/ INFO Committed revision 1. This is a bzrlib test case, which does test isolation of everything that bzr sets up, but we're seeing these messages - I think because there is a catchall root logger in place. Either someone is failing to remove it from an earlier test, or the test environment has it installed globally - I haven't looked yet. from fixtures.tests.helpers import LoggingFixture is designed to handle this sort of thing. E.g. from ec2test INFO Committing to: /tmp/testbzr-H2WFWe.tmp/devscripts.ec2test.tests.test_remote.TestResultHandling.test_doesnt_submit_to_pqm_on_failure/work/sourcecode/c/ INFO Committed revision 1. This is a bzrlib test case, which does test isolation of everything that bzr sets up, but we're seeing these messages - I think because there is a catchall root logger in place. Either someone is failing to remove it from an earlier test, or the test environment has it installed globally - I haven't looked yet. (sorry for edits) - there is a Logging helper around, but I still need to find it again.
2010-12-07 16:01:12 Gary Poster launchpad-foundations: status New Triaged
2010-12-07 16:01:16 Gary Poster launchpad-foundations: importance Undecided Low
2010-12-17 13:14:28 Launchpad Janitor branch linked lp:~stub/launchpad/trivial
2010-12-17 16:12:58 Francis J. Lacoste tags lp-foundations lp-foundations qa-untestable
2010-12-20 11:31:42 Stuart Bishop launchpad: status Triaged Fix Released
2010-12-20 11:31:49 Stuart Bishop launchpad: assignee Stuart Bishop (stub)
2011-01-11 16:38:58 Curtis Hovey launchpad: milestone 11.01
2011-03-28 07:10:36 Stuart Bishop branch unlinked lp:~stub/launchpad/trivial